.btn {
  &-main {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
    padding: 5px 20px;
    border-radius: 20px;
    color: #fff;
    font-family: var(--main-font);
    font-size: 1rem;
    font-weight: 600;
    transition: 0.3s all;

    &:hover,
    &:focus {
      text-decoration: none;
      color: #fff;
    }

    &.external {
      svg {
        margin-left: 10px;
      }
    }
  }

  &-transparent {
    display: flex;
    background-color: transparent;
    padding: 5px 20px;
    border-radius: 20px;
    border: 1px solid #fff;
    color: #fff;
    font-family: var(--main-font);
    font-size: 1rem;
    font-weight: 600;
    transition: 0.3s all;
  }

  &-rounded {
    display: flex;
    background-color: var(--primary-color);
    border: 1px solid var(--primary-color);
    padding: 10px;
    border-radius: 50%;
    color: #fff;
    font-family: var(--main-font);
    font-size: 1rem;
    font-weight: 600;
    transition: 0.3s all;

    &-transparent {
      padding: 0;
      background-color: transparent;
      border: 1px solid transparent;
    }
  }

  &-h-main {

    &:hover,
    &:focus {
      @extend .btn-main;
      transition: 0.3s all;
    }
  }

  &-h-border-main {

    &:hover,
    &:focus {
      @extend .btn-main;
      background-color: transparent;
      color: var(--primary-color);
      transition: 0.3s all;
    }
  }

  &-scroll-to-top {
    @extend .btn-rounded;
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 2.5em;
    height: 2.5rem;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    @extend .fade-in;
    transition: 0.3s all;

    svg {
      width: 25px;
      height: 25px;
      transition: 0.3s all;
    }

    &:hover,
    &:focus {
      transform: scale(1.1);
      transition: 0.3s all;

      svg {
        @extend .loop-arrow;
        transition: 0.3s all;
      }
    }
  }
}
